
import krister.Ess.*;
AudioChannel fanfare;
AudioChannel ende;
AudioChannel ping;
AudioChannel myChannel;
FFT myFFT;

int bufferSize;
int bufferDuration;

PImage s,b,r,v1,v2,v3,v4,v5,v6,v7,v8,v9,v10,r2,gd,sekt;

int i,j,x,y;
float l,strahl,frangle,frx,fry;
float count,startcount;
int lx,ly,lpx,lpy; // vars Zeichnen
int brush;
boolean nbbrush,nbsponge;


int linebright;
float startTime, time, maxTime;

float kills,gewonnen,verloren;

int[] sensor=new int[21]; //vars sensoren
 float sxl; // sensorX links
 float syl; // sensorY links
 float sxr; // sensorX rechts
 float syr; // sensorX links
 int sxm,sym; // mittlere sensoren
 int sensornummer,snu;
 
 float angle; // winkel rollstuhl
 float xpos,ypos,xposneu,yposneu; // rollstuhlposition
 float steer,steeralt; // rollstuhlrichtung
 int senvalue,senlow;
 int sme,sed;
 
 // vars visitors
float[] vangle=new float[11]; // winkel visitor
float[] vx=new float[11];
float[] vy=new float[11];
float[] vxneu=new float[11];
float[] vyneu=new float[11];
float[] vsteer=new float[11];
float[] vsteeralt=new float[11];
float[] vspd=new float[11];
float[] vspeed=new float[11];
float[] vspeedalt=new float[11];
float[] vwait=new float[11];
int[] vdead=new int[11];
int[] prost=new int[11];
int[] prostpartner=new int[11];
int visitorlevel; // anzahl der  besucher
int vnumber;
float vanglestore;
float testangle;
float[] vrotate=new float[11];
char expr;
 
 int tool; //0=nothing, 1=paint, 2=sponge

void setup()
{ 

// start up Ess

  Ess.start(this);

  myChannel=new AudioChannel("fart-1.wav");
  fanfare=new AudioChannel("fanfare.wav");
  ende=new AudioChannel("ende.wav");
  ping=new AudioChannel("ping.wav");

  r = loadImage("rollstuhl.gif");
  b = loadImage("brush.gif");
  s = loadImage("sponge.gif");
  v1 = loadImage("niklas_roy.gif");
  v2 = loadImage("sam_keller.gif");
  v3 = loadImage("charles_saatchi.gif");
  v4 = loadImage("fc_flick.gif");
  v5 = loadImage("ingvild_goetz.gif");
  v6 = loadImage("eleonore_stoffel.gif");
  v7 = loadImage("eli_broad.gif");
  v8 = loadImage("eleonora_smith.gif");
  v9 = loadImage("elton_john.gif");
  v10 = loadImage("visitor1.gif");
  r2 = loadImage("bgnd.gif");
  gd = loadImage("gallerydrive.gif");
  sekt = loadImage("sekt.gif");
  
  ellipseMode(CENTER);
  textAlign(CENTER);
  strokeJoin(MITER);
  brush=1; // selected tool: brush 
  
  PFont fontA = loadFont("ArialMT-10.vlw");
  textFont(fontA, 10);
  
  size(800,600);
  background(255);
  
  xpos=400;  // Rollstuhlstartposition
  ypos=450;
  
  visitorlevel=11; //(11)
  
 for (vnumber=1; vnumber<=10; vnumber++){// Visitorposition
 vx[vnumber]=vnumber*50+150; 
 vy[vnumber]=int(random(200)+150);
 vangle[vnumber]=random(TWO_PI);
 }
 vspd[1]=3;
 vspd[2]=1.8;
 vspd[3]=1.6;
 vspd[4]=1.5;
 vspd[5]=1.4;
 vspd[6]=1.3;
 vspd[7]=1.2;
 vspd[8]=1.1;
 vspd[9]=1.0;
 vspd[10]=.9;
 
  // Spielfeld
  stroke(0); 
  strokeWeight(2);
  fill(255);
  image (r2,5,5); // Bilderrahmen zeichnen  
  line(0,0,100,100);
  line(800,600,700,500);
  line(800,0,700,100);
  line(0,600,100,500);
  rect(100,100,600,400);
  image(b, 577,520);// Knpfe Bruh / Sponge
  image(s, 648,518);
  textSize(20);
  fill(0);
  text ("Select Tool",632,590);
  text ("Time Left",480,590);
  
  maxTime=250;
  loadPixels();
 
  
}



void draw()
{ 
  if (startcount>=0){  //--------------------------------------------------------------------------------------------  Startsequenz
  startcount++; 
  updatePixels();
  textSize(50);
  fill(0);
  text(int(maxTime),483,557); 
  image(gd, 720-sin(constrain(startcount/20,0,HALF_PI))*500,160);
  

    
    
  for (i=0; i<5; i++){    // "the Game"
    fill(255,255-i*50,128-i*20);
    translate(400,280);
    rotate(-sin(constrain((startcount-20+i)/50,0,HALF_PI))*PI*4);
    textSize(sin(constrain((startcount-20+i)/50,0,HALF_PI))*90);
    text("The Game!",0,sin(constrain((startcount-20+i)/50,0,HALF_PI))*45);
    rotate(sin(constrain((startcount-20+i)/50,0,HALF_PI))*PI*4);
    translate(-400,-280);
  }
  
  if (startcount%40>20){fill(0);}else{fill(255,0,0);}
  textSize(20);
  text("Please visit wwww.cyberniklas.de/gallerydrive for instructions!",400,470);


  textSize(50);    // Start Knopf
  fill(0,255,128);
  if (mouseX>330 && mouseX<470 && mouseY>360 && mouseY<410 && startcount>125){fill(255,128,0);}
  text ("Start?", 400,400-abs(cos(constrain(startcount-50,0,500)/15))*constrain(450-constrain(startcount-50,0,500)*6,0,450));  
  if (mousePressed){startcount=-1;startTime=millis();}
    }else{
  count++;

  
  updatePixels();
 // ---------------------------------------------------------------------- ab hier linie zeichnen!
   
   if (gewonnen==0 && verloren==0){
    if (brush==1){
      lx=constrain(mouseX-15,121,680);
      ly=constrain(mouseY-10,121,480);
    }else{
      lx=constrain(mouseX+3,121,679);
      ly=constrain(mouseY-21,121,479); 
    }
if (mousePressed && mouseX>100 && mouseX<700 && mouseY>100 && mouseY<500) 
  {
    if (count > 10){
    if (brush == 1){
      stroke(random(100));
      strokeWeight(4);
      line (lx,ly,lpx,lpy);
    }else{
      stroke(255);
      strokeWeight(40);
      line (lx,ly,lpx,lpy);
    
        }
        }
      }
    }
      

  

    
    lpx=lx;
    lpy=ly;
    
    
  noStroke();    
  for (i=1; i<visitorlevel; i++){  // -- tote besucher / blutfleck zeichnen
     if (vdead[i]==1){
       vdead[i]=2;
          myChannel.play(); // Fart
          kills++;
          if (kills==visitorlevel-1) {gewonnen=1;}
          
          
         for (j=1; j<10; j++){
           fill(random(150)+100,0,0);
           ellipse(int(vx[i]+random(20))-10,int(vy[i]+random(20))-10,int(random(20)),int(random(20)));
         } 
         for (j=1; j<30; j++){
           fill(random(150)+100,0,0);
           ellipse(int(vx[i]+random(40))-20,int(vy[i]+random(40))-20,int(random(15)),int(random(15)));
         } 
         for (j=1; j<50; j++){
           fill(random(150)+100,0,0);
           ellipse(int(vx[i]+random(80))-40,int(vy[i]+random(80))-40,int(random(5)),int(random(5)));
         }
 
         
     }  
  }
 
 

 loadPixels(); 
 //// --------------------------------------------------------------------- ab hier nur temporre sachen zeichnen!
 
 
 if (gewonnen==0 && verloren ==0){time=maxTime-(millis()-startTime)/1000;}  // -----------------------------Uhr zeichnen
 fill(0);
 textSize(50);
 if (time<=50 && time-int(time)>0.5){fill(255,0,0);}
  if (int(time)<=0) {time=0;}
 text(int(time),483,557);
 
    if (gewonnen>0){gewonnen++;}
    if (time==0){verloren++;}

 
 
 
  //--------------------------------------------------------------------------- ROLLSTUHL berechnen
   steeralt=steer;
   steer=-(senlow-10)+random(1)-.5;   // Rollstuhlwinkel berechnen
   steer=(steer+steeralt*4)/5;
   angle=angle+steer/10;
   angle=angle%TWO_PI;
 

    xposneu=sin(angle)*2; // Rollstuhlposition berechnen
    yposneu=cos(angle)*-2;
    xpos=constrain(xpos+xposneu,125,675);
    ypos=constrain(ypos+yposneu,125,475);
    if (ypos==125){angle=PI;}
    if (ypos==475){angle=0;}
    if (xpos==125){angle=HALF_PI;}
    if (xpos==675){angle=-HALF_PI;}

 
  sxl=(cos(-angle)*-30)+(sin(-angle)*(-30));    //Sensor left end Position berechnen
  syl=(-sin(-angle)*-30)+(cos(-angle)*(-30));

  sxr=(cos(-angle)*30)+(sin(-angle)*(-30));    //Sensor right end Position berechnen
  syr=(-sin(-angle)*30)+(cos(-angle)*(-30));


  for (sensornummer=0; sensornummer<=20; sensornummer++){ // Sensoren auslesen
    sxm=int((((sxr+xpos)-(sxl+xpos))/20*(20-sensornummer))+(sxl+xpos));
    sym=int((((syr+ypos)-(syl+ypos))/20*(20-sensornummer))+(syl+ypos));
    sensor[sensornummer]=int(brightness(get(sxm,sym)));
   }

  senvalue=sensor[0];
  senlow=10;
  for (sensornummer=1; sensornummer<=20; sensornummer++){
    if (sensor[sensornummer]<senvalue){
      senvalue=sensor[sensornummer];
      senlow=sensornummer;
    }
  }
  
  
    strokeWeight(1); //------------------------------------------------------------Tool neben Maus zeichnen
    
  if (gewonnen==0 && verloren==0){
 if (mouseX>100 && mouseX<700 && mouseY>100 && mouseY<500){
    if (brush==1){
       image(b, mouseX-20,mouseY-40);

    }else{
       image(s, mouseX-20,mouseY-40);

    }
  }
  
  
  
  stroke(0);  //                                                                 toolknpfe - mouseover
  strokeWeight(3);
  strahl=5;
  stroke(0);
  if (dist(mouseX,mouseY,600,540)<33){ // mouse over brush button
    if (mousePressed){if(nbbrush){stroke(255,128,0);strahl=8;brush=1;}}else{nbbrush=true;}
    
    for (l=0; l<TWO_PI; l+=PI/7){line(sin(l-count/60)*(28)+600,cos(l-count/60)*(28)+540,sin(l-count/60)*(28+strahl)+600,cos(l-count/60)*(28+strahl)+540);}
  }else{nbbrush=false;}
  strahl=5;
  stroke(0);
  if (dist(mouseX,mouseY,670,540)<33){ // mouse over sponge button
    if (mousePressed){if(nbsponge){stroke(255,128,0);strahl=8;brush=0;}}else{nbsponge=true;}
    for (l=0; l<TWO_PI; l+=PI/7){line(sin(l-count/60)*(28)+670,cos(l-count/60)*(28)+540,sin(l-count/60)*(28+strahl)+670,cos(l-count/60)*(28+strahl)+540);}
  }else{nbsponge=false;}
  strokeWeight(1);
  }
    //---------------------------------------------------------------------------Besucher berechnen und zeichnen
 for (vnumber=1; vnumber<visitorlevel; vnumber++){
  if (prost[vnumber]>0){ // prosten - weitermachen
  prost[vnumber]++;
  }
  if (prost[vnumber]==20){ // prosten Ende
  prost[vnumber]=0;
  prostpartner[prostpartner[vnumber]]=0; 
  prostpartner[vnumber]=0;
   
  }
  if (vdead[vnumber]==0){
   noFill();


    if (vwait[vnumber]>0) {  // bild betrachten
        vwait[vnumber]++;
        if (vwait[vnumber]==90){vwait[vnumber]=0;}
    }else{
        vrotate[vnumber]=0;
        vsteeralt[vnumber]=vsteer[vnumber];
        if (vnumber==1){vsteer[vnumber]=random(8)-4;}else{vsteer[vnumber]=random(4)-2;}   // visitorwinkel berechnen
        vsteer[vnumber]=(vsteer[vnumber]+vsteeralt[vnumber]*7)/8;
        vangle[vnumber]=vangle[vnumber]+vsteer[vnumber]/10;
   
        vspeedalt[vnumber]=vspeed[vnumber];
        vspeed[vnumber]=random(2)-2*vspd[vnumber];
        vspeed[vnumber]=(vspeed[vnumber]+vspeedalt[vnumber]*2)/3;

        if (verloren==0 && prostpartner[vnumber]==0){
        vxneu[vnumber]=sin(vangle[vnumber])*vspeed[vnumber]; // visitorposition berechnen
        vyneu[vnumber]=cos(vangle[vnumber])*vspeed[vnumber];
        vx[vnumber]=constrain(vx[vnumber]+vxneu[vnumber],125,675);
        vy[vnumber]=constrain(vy[vnumber]+vyneu[vnumber],125,475);
        }

          
    if (dist(xpos,ypos,vx[vnumber],vy[vnumber])<80) { // Rollstuhl ausweichen
     vangle[vnumber] =-atan2(xpos-vx[vnumber],vy[vnumber]-ypos)+PI;
     fill(0,0,255);
    }    
     
 
        for (i=1; i<visitorlevel; i++){  // Collissiondetection / andere Besucher
          if (i!=vnumber && vdead[i]==0){
            if (dist(vx[i],vy[i],vx[vnumber],vy[vnumber])<50) {  
              vangle[vnumber]=-atan2(vx[i]-vx[vnumber],vy[vnumber]-vy[i])+PI;   
              if (prost[i]==0 && prostpartner[i]==0 && prost[vnumber]==0 && prostpartner[vnumber]==0){ // beide sind frei zum Prosten
              ping.play();
              prost[vnumber]=1;
              prostpartner[vnumber]=i;
              prostpartner[i]=vnumber;
              }
             }
            }
           }
       
        if (vy[vnumber]==125){vangle[vnumber]=PI;vwait[vnumber]=1;vrotate[vnumber]=PI;} // An Wand anstoen
        if (vy[vnumber]==475){vangle[vnumber]=0;vwait[vnumber]=1;vrotate[vnumber]=0;}
        if (vx[vnumber]==125){vangle[vnumber]=-HALF_PI;vwait[vnumber]=1;vrotate[vnumber]=HALF_PI;}
        if (vx[vnumber]==675){vangle[vnumber]=HALF_PI;vwait[vnumber]=1;vrotate[vnumber]=-HALF_PI;}
    } 
    
     if (dist(xpos,ypos,vx[vnumber],vy[vnumber])<30 && verloren==0) { // Kollission mit Rollstuhl?
     vdead[vnumber]=1;
     if (prostpartner[vnumber]>0){prostpartner[prostpartner[vnumber]]=0;prost[prostpartner[vnumber]]=0;}
     fill(255,0,0);
    } 
    

   // ------------------------------------------------------------------- Besucher zeichnen
        pushMatrix();
        translate(vx[vnumber],vy[vnumber]);
        
        rotate(vrotate[vnumber]);
    
    
        if (vnumber==1){expr='!';} // Knstler
        if (vnumber==2){expr='$';} // Galerist
        if (vnumber>2){expr='?';} // Besucher
    if (vwait[vnumber]>0){ 
        if (vnumber==1){fill(255,0,0,255-vwait[vnumber]*2.5);}else{if (vnumber==2){fill(0,200,0,255-vwait[vnumber]*2.5);}else{fill(0,255-vwait[vnumber]*2.5);}}
        textSize(30);
        text(expr,sin(vwait[vnumber]/3)*3,-vwait[vnumber]%30-30);
        strokeWeight(1);
      }
      stroke(0);
      textSize(10);
      if (vnumber==1){image(v1,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Niklas Roy")/2-5,vy[vnumber]+25,textWidth("Niklas Roy")+10,25);fill(0);text("Niklas Roy",vx[vnumber],vy[vnumber]+35);text("Artist",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==2){image(v2,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Sam Keller")/2-5,vy[vnumber]+25,textWidth("Sam Keller")+10,25);fill(0);text("Sam Keller",vx[vnumber],vy[vnumber]+35);text("Art Dealer",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==3){image(v3,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Charles Saatchi")/2-5,vy[vnumber]+25,textWidth("Charles Saatchi")+10,25);fill(0);text("Charles Saatchi",vx[vnumber],vy[vnumber]+35);text("Collector",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==4){image(v4,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Friedrich Christian Flick")/2-5,vy[vnumber]+25,textWidth("Friedrich Christian Flick")+10,25);fill(0);text("Friedrich Christian Flick",vx[vnumber],vy[vnumber]+35);text("Collector",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==5){image(v5,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Ingvild Goetz")/2-5,vy[vnumber]+25,textWidth("Ingvild Goetz")+10,25);fill(0);text("Ingvild Goetz",vx[vnumber],vy[vnumber]+35);text("Collector",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==6){image(v6,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Eleonore Stoffel")/2-5,vy[vnumber]+25,textWidth("Eleonore Stoffel")+10,25);fill(0);text("Eleonore Stoffel",vx[vnumber],vy[vnumber]+35);text("Collector",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==7){image(v7,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Eli Broad")/2-5,vy[vnumber]+25,textWidth("Eli Broad")+10,25);fill(0);text("Eli Broad",vx[vnumber],vy[vnumber]+35);text("Collector",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==8){image(v8,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Eleonora Smith")/2-5,vy[vnumber]+25,textWidth("Eleonora Smith")+10,25);fill(0);text("Eleonora Smith",vx[vnumber],vy[vnumber]+35);text("Art Critic",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==9){image(v9,-35,-35); popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Elton John")/2-5,vy[vnumber]+25,textWidth("Elton John")+10,25);fill(0);text("Elton John",vx[vnumber],vy[vnumber]+35);text("Collector",vx[vnumber],vy[vnumber]+47);}}
      if (vnumber==10){image(v10,-35,-35);popMatrix();if (dist(vx[vnumber],vy[vnumber],mouseX,mouseY)<50){fill(255);rect(vx[vnumber]-textWidth("Unknown visitor")/2-5,vy[vnumber]+25,textWidth("Unknown visitor")+10,25);fill(0);text("Unknown visitor",vx[vnumber],vy[vnumber]+35);text("(Banksy?)",vx[vnumber],vy[vnumber]+47);}}
      textSize(10);
      
      //--------------------------------  Sektglas zeichnen
      if (prost[vnumber]>0){
        image(sekt,(vx[vnumber]+vx[prostpartner[vnumber]])/2-25,(vy[vnumber]+vy[prostpartner[vnumber]])/2-25);
        fill(0,255-prost[vnumber]*10);
        textSize(20);
        text("Cheers!",(vx[vnumber]+vx[prostpartner[vnumber]])/2,(vy[vnumber]+vy[prostpartner[vnumber]])/2-prost[vnumber]-30);
        }
  }
 }

 // ---------------------------------------------------------------------- Rollstuhl Zeichnen
 
strokeWeight(5);
stroke(255,255-(sin(count/10)*128+128),sin(count/10)*128+128,128);
noFill();
ellipse(xpos,ypos,90+sin(count/10)*10,90+sin(count/10)*10);
translate(xpos,ypos);
rotate(angle);
image(r, -45,-40);

if(gewonnen>0){                                                     // GEWONNEN!
    if (gewonnen==50) {fanfare.play();}
    rotate(-angle);
    translate(-xpos,-ypos);
    fill(255,128,0);
    textSize(30);
    text ("Congratulations! You have won!", 400,230-abs(cos(gewonnen/15))*constrain(230-gewonnen*2,0,230));
    textSize(40);
    fill (128,0,255);
    text ("Play again?", 400,280-abs(cos(constrain(gewonnen-30,0,500)/15))*constrain(330-constrain(gewonnen-30,0,500)*2,0,330));
    if (gewonnen>120){
      fill(128,255,0);
      textSize(50);
      text("Yes!",400,370);
      if (dist(mouseX,mouseY,400,360)<60){
      fill(255,0,128);
      text("Yes!",400,370);
      if (mousePressed) { // -----------------------------------------------------------Neustart
      gewonnen=0;
           for (vnumber=1; vnumber<=10; vnumber++){// Visitorposition
           vx[vnumber]=vnumber*50+150; 
           vy[vnumber]=int(random(200)+150);
           vangle[vnumber]=random(TWO_PI);
           vdead[vnumber]=0;
           vwait[vnumber]=0;
           prost[vnumber]=0;
           prostpartner[vnumber]=0;
           }
           xpos=400;  // Rollstuhlstartposition
           ypos=450;
           verloren=0;
           count=0;
          stroke(0); // Spielfeld
          strokeWeight(2);
          fill(255);
          image (r2,5,5); // Bilderrahmen zeichnen  
          line(0,0,100,100);
          line(800,600,700,500);
          line(800,0,700,100);
          line(0,600,100,500);
          rect(100,100,600,400);
          image(b, 577,520);// Knpfe Bruh / Sponge
          image(s, 648,518);
          textSize(20);
          fill(0);
          text ("Select Tool",632,590);
          text ("Time Left",480,590);
          
           startTime=millis();
           kills=0;
           loadPixels();
         }
        }
      }
    }
  if(verloren>0){                                                     // VERLOREN!
    if (verloren==1) {ende.play();}
    rotate(-angle);
    translate(-xpos,-ypos);
    fill(255,128,0);
    textSize(30);
    text ("Time out! You have lost!", 400,230-abs(cos(verloren/15))*constrain(230-verloren*2,0,230));
    textSize(40);
    fill (128,0,255);
    text ("Play again?", 400,280-abs(cos(constrain(verloren-30,0,500)/15))*constrain(330-constrain(verloren-30,0,500)*2,0,330));
    if (verloren>120){
      fill(128,255,0);
      textSize(50);
      text("Yes!",400,370);
      if (dist(mouseX,mouseY,400,360)<60){
      fill(255,0,128);
      text("Yes!",400,370);
      if (mousePressed) { // -----------------------------------------------------------Neustart

           for (vnumber=1; vnumber<=10; vnumber++){// Visitorposition
           vx[vnumber]=vnumber*50+150; 
           vy[vnumber]=int(random(200)+150);
           vangle[vnumber]=random(TWO_PI);
           vdead[vnumber]=0;
           vwait[vnumber]=0;
           prost[vnumber]=0;
           prostpartner[vnumber]=0;
           }
           xpos=400;  // Rollstuhlstartposition
           ypos=450;
           verloren=0; 
           count=0;
          stroke(0); // Spielfeld
          strokeWeight(2);
          fill(255);
          image (r2,5,5); // Bilderrahmen zeichnen  
          line(0,0,100,100);
          line(800,600,700,500);
          line(800,0,700,100);
          line(0,600,100,500);
          rect(100,100,600,400);
          image(b, 577,520);// Knpfe Bruh / Sponge
          image(s, 648,518);
          textSize(20);
          fill(0);
          text ("Select Tool",632,590);
          text ("Time Left",480,590);
           
           startTime=millis();
           kills=0;
           loadPixels();
         } 
       }
      }
    }
  }
}



public void stop() {
  Ess.stop();
  super.stop();
}



















